Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.phonon
Class BackendCapabilities

    java.lang.Object
      com.trolltech.qt.phonon.BackendCapabilities

    public class BackendCapabilities

extends java.lang.Object

The BackendCapabilities namespace contains functions to describe the capabilities of the multimedia backend. Author: Matthias Kretz <kretz@kde.org>

Constructor Summary
`BackendCapabilities()`

Method Summary
`static java.util.List` | `availableAudioEffects()` Returns descriptions for the audio effects the backend supports.
`static java.util.List` | `availableAudioOutputDevices()` Returns the audio output devices the backend supports.
`static java.util.List` | `availableMimeTypes()` Returns a list of mime types that the Backend can decode.
`static boolean` | `isMimeTypeAvailable(java.lang.String mimeType)` Often all you want to know is whether one given MIME type can be decoded by the backend.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BackendCapabilities

    public BackendCapabilities()

Method Detail

### availableAudioEffects

    public static java.util.List availableAudioEffects()

  Returns descriptions for the audio effects the backend supports.

  Returns A list of `AudioEffectDescription` objects that give a name and description for every supported audio effect.

### availableAudioOutputDevices

    public static java.util.List availableAudioOutputDevices()

  Returns the audio output devices the backend supports.

  Returns A list of AudioOutputDevice objects that give a name and description for every supported audio output device.

### availableMimeTypes

    public static java.util.List availableMimeTypes()

  Returns a list of mime types that the Backend can decode.

See also:
  `isMimeTypeAvailable()`.

### isMimeTypeAvailable

    public static boolean isMimeTypeAvailable(java.lang.String mimeType)

  Often all you want to know is whether one given MIME type can be decoded by the backend. Use this method in favor of `availableMimeTypes()` as it can give you a negative answer without having a backend loaded.

  Returns true if the given `mimeType` is supported by the backend; otherwise, returns false.

See also:
  `availableMimeTypes()`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD